# 目录结构规则

## 1. 结构描述
 ```
  ├── src 构建脚本目录 
  │   ├── api                    //  接口目录
  │   │   ├── education          // 教务管理 api
  │   │   ├── logistics          // 后勤管理 api
  │   │   ├── office             // 办公管理 api
  │   │   ├── performance        // 绩效管理 api
  │   │   ├── smartCampus        // 智慧环境 api
  │   │   ├── systemAdmin        // 系统管理 api
  │   │   └── webSite            // 统一门户 api
  │   │ 
  │   ├── assets
  │   │   ├── fonts              // 字体图标
  │   │   ├── images             // 静态图片 
  │   │   ├── styles             // 样式
  │   │   ├── utils              // 工具类
  │   │   ├── bus.js
  │   │   ├── jquery-vendor.js
  │   │   ├── oss.js             // oss 配置
  │   │   ├── ossConfig.js       // oss 配置
  │   │   ├── ossPaths.js        // oss 路径
  │   │   └──public.js           // public.js 全局共用用方法 （现在尽量往工具类里面加）
  │   │
  │   ├── common                 // 共用组件
  │   │
  │   ├── pages                  // 全部页面的存放
  │   │   ├── education          // 教务管理
  │   │   ├── logistics          // 后勤管理
  │   │   ├── office             // 办公管理
  │   │   ├── performance        // 绩效管理
  │   │   ├── smartCampus        // 智慧环境
  │   │   ├── systemAdmin        // 系统管理
  │   │   └── webSite            // 统一门户
  │   │
  │   ├── request                // axios配置（请求）
  │   │
  │   ├── routers                // 路由路径的存放
  │   │   ├── education          // 教务管理 router
  │   │   ├── logistics          // 后勤管理 router
  │   │   ├── office             // 办公管理 router
  │   │   ├── performance        // 绩效管理 router
  │   │   ├── smartCampus        // 智慧环境 router
  │   │   ├── systemAdmin        // 系统管理 router
  │   │   └── webSite            // 统一门户 router
  │   │
  │   ├── store                  //  vuex 配置
  │   │
  │   ├── App.vue                //  入口文件
  │   │
  │   ├── main.js                //  入口文件 js
  │   │
  │   └── router.js              //  路由配置
  │
  │
 ```

## 2. 页面目录规范

*  对应栏目放在对应的文件夹内
```
├── pages 
│   ├── office                   // 办公管理
│   │   ├── meeting              // 会议模块

```

* 页面用文件夹存放，页面内的子组件放在 components
```
├── pages 
│   ├── office                   // 办公管理
│   │   ├── meeting              // 会议模块
│   │   │   ├──  list            // 会议列表页
│   │   │   │    ├── components
│   │   │   │    │   ├── MeetingSearch.vue   // 搜索组件
│   │   │   │    │   └── TableList.vue       // 表格组件
│   │   │   │    └──  List.vue               // 列表组件
```
